import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

/**
 * Classe qui construit une fenetre avec un bouton a l'interieur
 * 
 * author : David MONTET
 */
public class MaFen extends JFrame
{
     //Bouton de la fenetre
	 private JButton b;

	//MaFen permet de construire une fenetre a partir 
	// d'un titre: titre de la fenetre
	// de la position sur l'ecran posX et posY
	public MaFen ( String titre, int posX, int posY )
	{
		super ( titre );
		Container c;
		MaFenEcouteur ef;
		//Ecouteur de la position de la souris par rapport au bouton
		MaSourisEcouteur es;
		
		//Definition de la fenetre
		this.setBounds ( posX,posY,200,200 );
		this.setResizable ( false );
		
		//Creation des composants
		c = this.getContentPane ();
		b = new JButton ("Bout1");
		///b.setBackground ( );
        //On cree le lien de composition
		c.add(b);
		
		//On a redefini la classe WindowClosing
		//Preparation des gestionnaires d evenements de la fenetre
		//On passe en parametre la reference de l'objet MaFen ef
		//pour pouvoir recuperer des informations sur la fenetre observee
		ef = new MaFenEcouteur ( this );
		this.addWindowListener(ef);
		
        //Preparation de gestionnaire d evenements pour 
		// * la position de la souris par rapport au bnouton
		// *  la fenetre (elle doit se fermer
	/*	es = new MaSourisEcouteur ( this ,"Bout1");
		this.addMouseListener(es);
		b.addMouseListener(es);*/
		
		//On abonne le bouton a l'ecouteur 
/*        MonEcouteurBouton eAction ;
        eAction = new MonEcouteurBouton (this, b);
		b.addActionListener (eAction);
*/
       MonEcouteurMouvement eMouv;
       eMouv = new MonEcouteurMouvement ();
       b.addMouseMotionListener (eMouv);    
   }
}